incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Strachan" <james.strac...@gmail.com>
Subject Re: [VOTE] Incubator PMC to approve the 4.0-RC1 release of ActiveMQ
Date Fri, 31 Mar 2006 07:02:22 GMT
On 3/30/06, Geir Magnusson Jr <geir@pobox.com> wrote:
>
>
> Hiram Chirino wrote:
> > Hi Geir,
> >
> > It looks like ActiveMQ RC1 is failing to load the data files from a
> > previous version of ActiveMQ. This is expected since we will not
> > support backward compatibility until the final released 4.0.  The
> > question is where is it picking up old data files from?  You make want
> > to delete the contents of you activemq-data directory.
>
> Ah - I have activemq 4.0 - M4 there.  So 4.0 RC1 is incompatible w/ 4.0 M4?

Yes - we only support backwards compatibility of wire formats
(journals & network connections) on  full GA releases.

> I deleted activemq-data and it works now.

Cool.

In the next release we should add a warning about mixing versions.

--

James
-------
http://radio.weblogs.com/0112098/

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message